Name:           macchanger
Version:        1.5.0
Release:        10%{?dist}
Summary:        An utility for viewing/manipulating the MAC address of network interfaces

Group:          Applications/System
License:        GPLv2+
URL:            http://www.alobbs.com/macchanger
Source0:        ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0:         macchanger-1.5.0-OUI-list-update.diff
Patch1:         macchanger-1.5.0-man-update.diff
Patch2:         macchanger-1.5.0-random-seed.diff
Patch3:         macchanger-1.5.0-dynamic-lists.diff
Patch4:         macchanger-1.5.0-dev-name-overflow.diff
Patch5:         macchanger-1.5.0-exit-code.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/install-info    
Requires(preun): /sbin/install-info

%description
Features:
  * set specific MAC address of a network interface
  * set the MAC randomly
  * set a MAC of another vendor
  * set another MAC of the same vendor
  * set a MAC of the same kind (eg: wireless card)
  * display a vendor MAC list (more than 14000 items) to choose from


%prep
%setup -q
%patch0 -p1 -b .OUI-list
%patch1 -p1 -b .man
%patch2 -p1 -b .srandom
%patch3 -p1 -b .dynlists
%patch4 -p1 -b .devnameoverflow
%patch5 -p1 -b .exitcode


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%post 
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun 
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_infodir}/*.info.gz
%{_mandir}/man1/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 11 2010 Tomas Hoger <thoger@fedoraproject.org> - 1.5.0-9
- Fix buffer overflow when excessively long device name is specified as
  command line argument (caught by FORTIFY_SOURCE, RHBZ#641704)
- Add Debian patch fixing exit code for certain error conditions, see
  Debian bug http://bugs.debian.org/547596
- Update OUI list from IEEE, now more than 14000 items listed

* Wed Sep  2 2009 Tomas Hoger <thoger@fedoraproject.org> - 1.5.0-8
- Fix pseudo random number generator seeding (RHBZ#520268)
- Update OUI list from IEEE, now more than 12000 items listed
- Update man page to list -s / --show
- Fix handling of internal mac lists where static array was still assumed,
  while dynamically allocated array was used

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5.0-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.0-4
- Autorebuild for GCC 4.3

* Sat Mar 24 2007 Damien Durand <splinux@fedoraproject.org> - 1.5.0-3
- Fix doc section

* Sat Mar 24 2007 Damien Durand <splinux@fedoraproject.org> - 1.5.0-2
- Remove info directory in the install section

* Thu Mar 22 2007 Damien Durand <splinux@fedoraproject.org> - 1.5.0-1
- Initial RPM release
